# Created by pyp2rpm-3.3.2
%global pypi_name identify

Name:           python-%{pypi_name}
Version:        2.6.8
Release:        %mkrel 2
Summary:        File identification library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/identify
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files identify

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/identify-cli


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.6.8-2.mga10
+ Revision: 2237661
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 2.6.8-1.mga10
+ Revision: 2153732
- new version: 2.6.8
- rebuild for python 3.13

* Thu Dec 19 2024 papoteur <papoteur> 2.6.2-1.mga10
+ Revision: 2126261
- new version 2.6.2

* Fri Jun 28 2024 papoteur <papoteur> 2.5.36-1.mga10
+ Revision: 2077538
- new version 2.5.36

* Mon Dec 25 2023 wally <wally> 2.5.33-1.mga10
+ Revision: 2021426
- new version 2.5.33
- use %%pyproject_buildrequires

* Sun Oct 22 2023 papoteur <papoteur> 2.5.30-1.mga10
+ Revision: 2000150
- new 2.5.30

* Tue Sep 19 2023 papoteur <papoteur> 2.5.29-1.mga10
+ Revision: 1988171
- new 2.5.29

* Mon Sep 11 2023 papoteur <papoteur> 2.5.27-1.mga10
+ Revision: 1986237
- new 2.5.27

* Sat Oct 22 2022 ghibo <ghibo> 2.5.6-1.mga9
+ Revision: 1898360
- Update to release 2.5.6

* Thu Sep 29 2022 neoclust <neoclust> 2.5.5-1.mga9
+ Revision: 1893369
- New version 2.5.5

* Wed Sep 07 2022 neoclust <neoclust> 2.5.3-1.mga9
+ Revision: 1884882
- New version  2.5.3

* Wed Mar 23 2022 umeabot <umeabot> 2.4.9-3.mga9
+ Revision: 1822530
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 2.4.9-2.mga9
+ Revision: 1774333
- Rebuild for python-3.10

* Mon Feb 14 2022 wally <wally> 2.4.9-1.mga9
+ Revision: 1774273
- new version 2.4.9
- rebuild for python3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 2.4.7-1.mga9
+ Revision: 1771234
- version 2.4.7

* Sun Aug 29 2021 wally <wally> 2.2.13-1.mga9
+ Revision: 1743402
- new version 2.2.13

* Thu Jul 01 2021 joequant <joequant> 2.2.10-1.mga9
+ Revision: 1734438
- update to 2.2.10

* Mon Mar 15 2021 wally <wally> 2.1.3-1.mga9
+ Revision: 1703330
- new version 2.1.3
- rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.5.10-1.mga8
+ Revision: 1656472
- new version 1.5.10

* Sun Nov 22 2020 guillomovitch <guillomovitch> 1.5.9-1.mga8
+ Revision: 1648454
- new version 1.5.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.5.2-1.mga8
+ Revision: 1626386
- new version 1.5.2

* Sat May 30 2020 wally <wally> 1.4.17-1.mga8
+ Revision: 1588998
- new version 1.4.17

* Sat Feb 29 2020 wally <wally> 1.4.11-1.mga8
+ Revision: 1552072
- new version 1.4.11

* Sun Feb 16 2020 umeabot <umeabot> 1.4.7-2.mga8
+ Revision: 1531398
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.4.7-1.mga8
+ Revision: 1439796
- new version 1.4.7
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.4.6-1.mga8
+ Revision: 1429844
- imported package python-identify

